Get User Analysis Attributes
curl --request GET \
--url https://{instance}-api.private.fin.ag/v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetUserAnalysisAttributesimport requests
url = "https://{instance}-api.private.fin.ag/v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetUserAnalysisAttributes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{instance}-api.private.fin.ag/v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetUserAnalysisAttributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"HttpStatusCode": 200,
"Card": {
"Id": "367046b0-7699-483d-94c2-08d9a3d5c70f",
"auto_loan_deposits_frequency_biz": "NONE_DETECTED",
"auto_loan_deposits_trend_biz": 0,
"auto_loan_payments_frequency_biz": "Monthly",
"auto_loan_payments_trend_biz": 0.94,
"average_monthly_auto_loan_payments_biz": 532.54,
"sum_auto_loan_payments_365_days_biz": 6000,
"average_monthly_operating_income_biz": 6443.79,
"sum_operating_income_365_days_biz": 72600,
"average_monthly_payroll_deposits_biz": 5485.21,
"sum_payroll_deposits_365_days_biz": 61800,
"AttributesDetail": [
{
"Attribute": "count_auto_loan_payments_10_months_ago_biz",
"Transactions": [
{
"TransactionId": "8c0eb24f-f395-48d3-9bf2-d170a6793e57",
"AccountId": "249516f6-d40d-4d86-b064-dbb4e0a59688",
"Date": "2021/01/08",
"Description": "FORD CREDIT CA APY",
"Debit": 500,
"Credit": null,
"Balance": 11550
}
]
}
]
},
"Login": {
"Username": "multiple_employers",
"IsScheduledRefresh": false,
"LastRefresh": "2021-11-10T15:01:27.7756841",
"Type": "Personal",
"Id": "367046b0-7699-483d-94c2-08d9a3d5c70f"
},
"RequestId": "b0ad6069-b40c-4c7e-aead-91c849d0b9f1"
}{
"FlinksCode": "OPERATION_PENDING",
"HttpStatusCode": 202,
"Message": "Your operation is still processing",
"RequestId": "e39262e3-c1ea-4d19-a331-f141dfdd29fd"
}{
"Message": "Given customer id is not authorized for the login id"
}Consumer Attributes
/GetUserAnalysisAttributes
This endpoint will provide you with all Credit Risk use-case attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.
GET
/
v3
/
{customerId}
/
insight
/
login
/
{loginId}
/
attributes
/
{requestId}
/
GetUserAnalysisAttributes
Get User Analysis Attributes
This endpoint will provide you with all Credit Risk use-case attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.
Request Parameters
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| customerId | string | GUID representing your customer ID (provided by Flinks) |
| loginId | string | GUID representing end user’s login ID. You get this value after a successful Authorize request. |
| requestId | string | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |
Response Fields
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| Card | object | Object containing an id field (the end user’s loginId) and all the requested attributes (name: value) |
| Login | object | Object representing some end user’s technical information such as the loginId. See Authorize endpoint documentation for this object’s details. |
| RequestId | string | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |
| AttributeDetails | object | Objects containing the fields: TransactionId, AccountId, Date, Description, Debit, and Credit per Attribute. |
Path Parameters
Unique GUID representing your customer ID.
GUID representing end user's login ID.
GUID representing an authorized request to the API.
Was this page helpful?
⌘I